Subject: Re: bug#16439: [feature request] Highlighting of strings within Info buffers

From: Juri Linkov <[email-masked]>
Date: Mon, 20 Jan 2014 11:18:20 +0200

>> that feature looks very useful to me.  I've just seen that info+ is
>> developed by Drew Adams (I took the liberty to CC him).  Maybe he is
>> willing to move info+ to GNU ELPA for now and after the feature freeze
>> we could consider moving it or parts of it to Info mode.
>> http://www.emacswiki.org/emacs/info+.el
>
> I offered the `...' and "..." highlighting as a patch a decade ago.

The problem is how to highlight strings only in code samples
because in other places highlighting "..." makes no sense.
Look for example in the node (info "(emacs) Package Keywords"):

  Most optional features in Emacs are grouped into "packages".

Should "packages" be highlighted as a string.  Of course not.
There is no additional emphasis on quotations in books.